Changeset 1948


Ignore:
Timestamp:
Mar 29, 2011 6:44:31 AM (9 years ago)
Author:
stefan
Message:

rerun autotools

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/Ipopt/configure

    r1927 r1948  
    18431843  if test "x$have_svnversion" = xyes; then
    18441844
    1845     svn_rev_tmp=`cd $srcdir/$coin_has_ipopt ; svnversion`
    1846     IPOPT_SVN_REV=`echo $svn_rev_tmp | sed -n -e 's/^[0-9]*://' -e 's/\([0-9]\)[^0-9]*$/\1/p'`
    1847     if test $IPOPT_SVN_REV != exported; then
     1845    svn_rev_tmp=`LANG=en_EN svnversion $srcdir 2>/dev/null`
     1846    if test "$IPOPT_SVN_REV" != exported; then
     1847      IPOPT_SVN_REV=`echo $svn_rev_tmp | sed -n -e 's/^[0-9]*://' -e 's/\([0-9]\)[^0-9]*$/\1/p'`
    18481848
    18491849cat >>confdefs.h <<_ACEOF
     
    50375037
    50385038# Find out how to call Fortran from C and determine Fortran runtime libraries
     5039
     5040# get FLIBS
    50395041ac_ext=f
    50405042ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
     
    50885090ac_save_FFLAGS=$FFLAGS
    50895091FFLAGS="$FFLAGS $ac_verb"
    5090 (eval echo $as_me:5090: \"$ac_link\") >&5
     5092(eval echo $as_me:5092: \"$ac_link\") >&5
    50915093ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    50925094echo "$ac_f77_v_output" >&5
     
    51665168ac_save_FFLAGS=$FFLAGS
    51675169FFLAGS="$FFLAGS $ac_cv_prog_f77_v"
    5168 (eval echo $as_me:5168: \"$ac_link\") >&5
     5170(eval echo $as_me:5170: \"$ac_link\") >&5
    51695171ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    51705172echo "$ac_f77_v_output" >&5
     
    53325334
    53335335
    5334 ac_ext=f
    5335 ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
    5336 ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
    5337 ac_compiler_gnu=$ac_cv_f77_compiler_gnu
    5338 
    5339 ac_ext=f
    5340 ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
    5341 ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
    5342 ac_compiler_gnu=$ac_cv_f77_compiler_gnu
    5343 
    5344 echo "$as_me:$LINENO: checking for dummy main to link with Fortran libraries" >&5
    5345 echo $ECHO_N "checking for dummy main to link with Fortran libraries... $ECHO_C" >&6
    5346 if test "${ac_cv_f77_dummy_main+set}" = set; then
    5347   echo $ECHO_N "(cached) $ECHO_C" >&6
    5348 else
    5349   ac_f77_dm_save_LIBS=$LIBS
    5350  LIBS="$LIBS $FLIBS"
    5351  ac_fortran_dm_var=F77_DUMMY_MAIN
    5352  ac_ext=c
     5336ac_ext=c
    53535337ac_cpp='$CPP $CPPFLAGS'
    53545338ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     
    53565340ac_compiler_gnu=$ac_cv_c_compiler_gnu
    53575341
    5358  # First, try linking without a dummy main:
    5359  cat >conftest.$ac_ext <<_ACEOF
    5360 /* confdefs.h.  */
    5361 _ACEOF
    5362 cat confdefs.h >>conftest.$ac_ext
    5363 cat >>conftest.$ac_ext <<_ACEOF
    5364 /* end confdefs.h.  */
    5365 
    5366 #ifdef F77_DUMMY_MAIN
    5367 
    5368 #  ifdef __cplusplus
    5369      extern "C"
    5370 #  endif
    5371    int F77_DUMMY_MAIN() { return 1; }
    5372 
    5373 #endif
    5374 int
    5375 main ()
    5376 {
    5377 
    5378   ;
    5379   return 0;
    5380 }
    5381 _ACEOF
    5382 rm -f conftest.$ac_objext conftest$ac_exeext
    5383 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    5384   (eval $ac_link) 2>conftest.er1
    5385   ac_status=$?
    5386   grep -v '^ *+' conftest.er1 >conftest.err
    5387   rm -f conftest.er1
    5388   cat conftest.err >&5
    5389   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    5390   (exit $ac_status); } &&
    5391          { ac_try='test -z "$ac_c_werror_flag"
    5392                          || test ! -s conftest.err'
    5393   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    5394   (eval $ac_try) 2>&5
    5395   ac_status=$?
    5396   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    5397   (exit $ac_status); }; } &&
    5398          { ac_try='test -s conftest$ac_exeext'
    5399   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    5400   (eval $ac_try) 2>&5
    5401   ac_status=$?
    5402   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    5403   (exit $ac_status); }; }; then
    5404   ac_cv_fortran_dummy_main=none
    5405 else
    5406   echo "$as_me: failed program was:" >&5
    5407 sed 's/^/| /' conftest.$ac_ext >&5
    5408 
    5409 ac_cv_fortran_dummy_main=unknown
    5410 fi
    5411 rm -f conftest.err conftest.$ac_objext \
    5412       conftest$ac_exeext conftest.$ac_ext
    5413 
    5414  if test $ac_cv_fortran_dummy_main = unknown; then
    5415    for ac_func in MAIN__ MAIN_ __main MAIN _MAIN __MAIN main_ main__ _main; do
    5416      cat >conftest.$ac_ext <<_ACEOF
    5417 /* confdefs.h.  */
    5418 _ACEOF
    5419 cat confdefs.h >>conftest.$ac_ext
    5420 cat >>conftest.$ac_ext <<_ACEOF
    5421 /* end confdefs.h.  */
    5422 #define $ac_fortran_dm_var $ac_func
    5423 #ifdef F77_DUMMY_MAIN
    5424 
    5425 #  ifdef __cplusplus
    5426      extern "C"
    5427 #  endif
    5428    int F77_DUMMY_MAIN() { return 1; }
    5429 
    5430 #endif
    5431 int
    5432 main ()
    5433 {
    5434 
    5435   ;
    5436   return 0;
    5437 }
    5438 _ACEOF
    5439 rm -f conftest.$ac_objext conftest$ac_exeext
    5440 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    5441   (eval $ac_link) 2>conftest.er1
    5442   ac_status=$?
    5443   grep -v '^ *+' conftest.er1 >conftest.err
    5444   rm -f conftest.er1
    5445   cat conftest.err >&5
    5446   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    5447   (exit $ac_status); } &&
    5448          { ac_try='test -z "$ac_c_werror_flag"
    5449                          || test ! -s conftest.err'
    5450   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    5451   (eval $ac_try) 2>&5
    5452   ac_status=$?
    5453   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    5454   (exit $ac_status); }; } &&
    5455          { ac_try='test -s conftest$ac_exeext'
    5456   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    5457   (eval $ac_try) 2>&5
    5458   ac_status=$?
    5459   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    5460   (exit $ac_status); }; }; then
    5461   ac_cv_fortran_dummy_main=$ac_func; break
    5462 else
    5463   echo "$as_me: failed program was:" >&5
    5464 sed 's/^/| /' conftest.$ac_ext >&5
    5465 
    5466 fi
    5467 rm -f conftest.err conftest.$ac_objext \
    5468       conftest$ac_exeext conftest.$ac_ext
    5469    done
    5470  fi
    5471  ac_ext=f
    5472 ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
    5473 ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
    5474 ac_compiler_gnu=$ac_cv_f77_compiler_gnu
    5475  ac_cv_f77_dummy_main=$ac_cv_fortran_dummy_main
    5476  rm -f conftest*
    5477  LIBS=$ac_f77_dm_save_LIBS
    5478 
    5479 fi
    5480 echo "$as_me:$LINENO: result: $ac_cv_f77_dummy_main" >&5
    5481 echo "${ECHO_T}$ac_cv_f77_dummy_main" >&6
    5482 F77_DUMMY_MAIN=$ac_cv_f77_dummy_main
    5483 if test "$F77_DUMMY_MAIN" != unknown; then
    5484   if test $F77_DUMMY_MAIN != none; then
    5485 
    5486 cat >>confdefs.h <<_ACEOF
    5487 #define F77_DUMMY_MAIN $F77_DUMMY_MAIN
    5488 _ACEOF
    5489 
    5490   if test "x$ac_cv_fc_dummy_main" = "x$ac_cv_f77_dummy_main"; then
    5491 
    5492 cat >>confdefs.h <<\_ACEOF
    5493 #define FC_DUMMY_MAIN_EQ_F77 1
    5494 _ACEOF
    5495 
    5496   fi
    5497 fi
    5498 else
    5499   { { echo "$as_me:$LINENO: error: linking to Fortran libraries from C fails
    5500 See \`config.log' for more details." >&5
    5501 echo "$as_me: error: linking to Fortran libraries from C fails
    5502 See \`config.log' for more details." >&2;}
    5503    { (exit 1); exit 1; }; }
    5504 fi
    5505 
    5506 
    5507 ac_ext=f
    5508 ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
    5509 ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
    5510 ac_compiler_gnu=$ac_cv_f77_compiler_gnu
    5511 
    5512 ac_ext=f
    5513 ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
    5514 ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
    5515 ac_compiler_gnu=$ac_cv_f77_compiler_gnu
    5516 echo "$as_me:$LINENO: checking for Fortran name-mangling scheme" >&5
    5517 echo $ECHO_N "checking for Fortran name-mangling scheme... $ECHO_C" >&6
    5518 if test "${ac_cv_f77_mangling+set}" = set; then
    5519   echo $ECHO_N "(cached) $ECHO_C" >&6
    5520 else
    5521   cat >conftest.$ac_ext <<_ACEOF
    5522       subroutine foobar()
    5523       return
    5524       end
    5525       subroutine foo_bar()
    5526       return
    5527       end
    5528 _ACEOF
    5529 rm -f conftest.$ac_objext
    5530 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    5531   (eval $ac_compile) 2>conftest.er1
    5532   ac_status=$?
    5533   grep -v '^ *+' conftest.er1 >conftest.err
    5534   rm -f conftest.er1
    5535   cat conftest.err >&5
    5536   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    5537   (exit $ac_status); } &&
    5538          { ac_try='test -z "$ac_f77_werror_flag"
    5539                          || test ! -s conftest.err'
    5540   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    5541   (eval $ac_try) 2>&5
    5542   ac_status=$?
    5543   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    5544   (exit $ac_status); }; } &&
    5545          { ac_try='test -s conftest.$ac_objext'
    5546   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    5547   (eval $ac_try) 2>&5
    5548   ac_status=$?
    5549   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    5550   (exit $ac_status); }; }; then
    5551   mv conftest.$ac_objext cfortran_test.$ac_objext
    5552 
    5553   ac_save_LIBS=$LIBS
    5554   LIBS="cfortran_test.$ac_objext $LIBS $FLIBS"
    5555 
    5556   ac_ext=c
    5557 ac_cpp='$CPP $CPPFLAGS'
    5558 ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
    5559 ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
    5560 ac_compiler_gnu=$ac_cv_c_compiler_gnu
    5561   ac_success=no
    5562   for ac_foobar in foobar FOOBAR; do
    5563     for ac_underscore in "" "_"; do
    5564       ac_func="$ac_foobar$ac_underscore"
    5565       cat >conftest.$ac_ext <<_ACEOF
    5566 /* confdefs.h.  */
    5567 _ACEOF
    5568 cat confdefs.h >>conftest.$ac_ext
    5569 cat >>conftest.$ac_ext <<_ACEOF
    5570 /* end confdefs.h.  */
    5571 
    5572 /* Override any gcc2 internal prototype to avoid an error.  */
    5573 #ifdef __cplusplus
    5574 extern "C"
    5575 #endif
    5576 /* We use char because int might match the return type of a gcc2
    5577    builtin and then its argument prototype would still apply.  */
    5578 char $ac_func ();
    5579 #ifdef F77_DUMMY_MAIN
    5580 
    5581 #  ifdef __cplusplus
    5582      extern "C"
    5583 #  endif
    5584    int F77_DUMMY_MAIN() { return 1; }
    5585 
    5586 #endif
    5587 int
    5588 main ()
    5589 {
    5590 $ac_func ();
    5591   ;
    5592   return 0;
    5593 }
    5594 _ACEOF
    5595 rm -f conftest.$ac_objext conftest$ac_exeext
    5596 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    5597   (eval $ac_link) 2>conftest.er1
    5598   ac_status=$?
    5599   grep -v '^ *+' conftest.er1 >conftest.err
    5600   rm -f conftest.er1
    5601   cat conftest.err >&5
    5602   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    5603   (exit $ac_status); } &&
    5604          { ac_try='test -z "$ac_c_werror_flag"
    5605                          || test ! -s conftest.err'
    5606   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    5607   (eval $ac_try) 2>&5
    5608   ac_status=$?
    5609   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    5610   (exit $ac_status); }; } &&
    5611          { ac_try='test -s conftest$ac_exeext'
    5612   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    5613   (eval $ac_try) 2>&5
    5614   ac_status=$?
    5615   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    5616   (exit $ac_status); }; }; then
    5617   ac_success=yes; break 2
    5618 else
    5619   echo "$as_me: failed program was:" >&5
    5620 sed 's/^/| /' conftest.$ac_ext >&5
    5621 
    5622 fi
    5623 rm -f conftest.err conftest.$ac_objext \
    5624       conftest$ac_exeext conftest.$ac_ext
    5625     done
    5626   done
    5627   ac_ext=f
    5628 ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
    5629 ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
    5630 ac_compiler_gnu=$ac_cv_f77_compiler_gnu
    5631 
    5632   if test "$ac_success" = "yes"; then
    5633      case $ac_foobar in
    5634         foobar)
    5635            ac_case=lower
    5636            ac_foo_bar=foo_bar
    5637            ;;
    5638         FOOBAR)
    5639            ac_case=upper
    5640            ac_foo_bar=FOO_BAR
    5641            ;;
    5642      esac
    5643 
    5644      ac_ext=c
    5645 ac_cpp='$CPP $CPPFLAGS'
    5646 ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
    5647 ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
    5648 ac_compiler_gnu=$ac_cv_c_compiler_gnu
    5649      ac_success_extra=no
    5650      for ac_extra in "" "_"; do
    5651         ac_func="$ac_foo_bar$ac_underscore$ac_extra"
    5652         cat >conftest.$ac_ext <<_ACEOF
    5653 /* confdefs.h.  */
    5654 _ACEOF
    5655 cat confdefs.h >>conftest.$ac_ext
    5656 cat >>conftest.$ac_ext <<_ACEOF
    5657 /* end confdefs.h.  */
    5658 
    5659 /* Override any gcc2 internal prototype to avoid an error.  */
    5660 #ifdef __cplusplus
    5661 extern "C"
    5662 #endif
    5663 /* We use char because int might match the return type of a gcc2
    5664    builtin and then its argument prototype would still apply.  */
    5665 char $ac_func ();
    5666 #ifdef F77_DUMMY_MAIN
    5667 
    5668 #  ifdef __cplusplus
    5669      extern "C"
    5670 #  endif
    5671    int F77_DUMMY_MAIN() { return 1; }
    5672 
    5673 #endif
    5674 int
    5675 main ()
    5676 {
    5677 $ac_func ();
    5678   ;
    5679   return 0;
    5680 }
    5681 _ACEOF
    5682 rm -f conftest.$ac_objext conftest$ac_exeext
    5683 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    5684   (eval $ac_link) 2>conftest.er1
    5685   ac_status=$?
    5686   grep -v '^ *+' conftest.er1 >conftest.err
    5687   rm -f conftest.er1
    5688   cat conftest.err >&5
    5689   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    5690   (exit $ac_status); } &&
    5691          { ac_try='test -z "$ac_c_werror_flag"
    5692                          || test ! -s conftest.err'
    5693   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    5694   (eval $ac_try) 2>&5
    5695   ac_status=$?
    5696   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    5697   (exit $ac_status); }; } &&
    5698          { ac_try='test -s conftest$ac_exeext'
    5699   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    5700   (eval $ac_try) 2>&5
    5701   ac_status=$?
    5702   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    5703   (exit $ac_status); }; }; then
    5704   ac_success_extra=yes; break
    5705 else
    5706   echo "$as_me: failed program was:" >&5
    5707 sed 's/^/| /' conftest.$ac_ext >&5
    5708 
    5709 fi
    5710 rm -f conftest.err conftest.$ac_objext \
    5711       conftest$ac_exeext conftest.$ac_ext
    5712      done
    5713      ac_ext=f
    5714 ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
    5715 ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
    5716 ac_compiler_gnu=$ac_cv_f77_compiler_gnu
    5717 
    5718      if test "$ac_success_extra" = "yes"; then
    5719         ac_cv_f77_mangling="$ac_case case"
    5720         if test -z "$ac_underscore"; then
    5721            ac_cv_f77_mangling="$ac_cv_f77_mangling, no underscore"
    5722         else
    5723            ac_cv_f77_mangling="$ac_cv_f77_mangling, underscore"
    5724         fi
    5725         if test -z "$ac_extra"; then
    5726            ac_cv_f77_mangling="$ac_cv_f77_mangling, no extra underscore"
    5727         else
    5728            ac_cv_f77_mangling="$ac_cv_f77_mangling, extra underscore"
    5729         fi
    5730       else
    5731         ac_cv_f77_mangling="unknown"
    5732       fi
    5733   else
    5734      ac_cv_f77_mangling="unknown"
    5735   fi
    5736 
    5737   LIBS=$ac_save_LIBS
    5738   rm -f cfortran_test* conftest*
    5739 else
    5740   echo "$as_me: failed program was:" >&5
    5741 sed 's/^/| /' conftest.$ac_ext >&5
    5742 
    5743 { { echo "$as_me:$LINENO: error: cannot compile a simple Fortran program
    5744 See \`config.log' for more details." >&5
    5745 echo "$as_me: error: cannot compile a simple Fortran program
    5746 See \`config.log' for more details." >&2;}
    5747    { (exit 1); exit 1; }; }
    5748 fi
    5749 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
    5750 
    5751 fi
    5752 echo "$as_me:$LINENO: result: $ac_cv_f77_mangling" >&5
    5753 echo "${ECHO_T}$ac_cv_f77_mangling" >&6
    5754 
    5755 ac_ext=f
    5756 ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
    5757 ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
    5758 ac_compiler_gnu=$ac_cv_f77_compiler_gnu
    5759 
    5760 
    5761 ac_ext=f
    5762 ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
    5763 ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
    5764 ac_compiler_gnu=$ac_cv_f77_compiler_gnu
    5765 
    5766 
    5767 ac_ext=f
    5768 ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
    5769 ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
    5770 ac_compiler_gnu=$ac_cv_f77_compiler_gnu
    5771 
    5772 
    5773 case $ac_cv_f77_mangling in
    5774   "lower case, no underscore, no extra underscore")
    5775           cat >>confdefs.h <<\_ACEOF
    5776 #define F77_FUNC(name,NAME) name
    5777 _ACEOF
    5778 
    5779           cat >>confdefs.h <<\_ACEOF
    5780 #define F77_FUNC_(name,NAME) name
    5781 _ACEOF
    5782  ;;
    5783   "lower case, no underscore, extra underscore")
    5784           cat >>confdefs.h <<\_ACEOF
    5785 #define F77_FUNC(name,NAME) name
    5786 _ACEOF
    5787 
    5788           cat >>confdefs.h <<\_ACEOF
    5789 #define F77_FUNC_(name,NAME) name ## _
    5790 _ACEOF
    5791  ;;
    5792   "lower case, underscore, no extra underscore")
    5793           cat >>confdefs.h <<\_ACEOF
    5794 #define F77_FUNC(name,NAME) name ## _
    5795 _ACEOF
    5796 
    5797           cat >>confdefs.h <<\_ACEOF
    5798 #define F77_FUNC_(name,NAME) name ## _
    5799 _ACEOF
    5800  ;;
    5801   "lower case, underscore, extra underscore")
    5802           cat >>confdefs.h <<\_ACEOF
    5803 #define F77_FUNC(name,NAME) name ## _
    5804 _ACEOF
    5805 
    5806           cat >>confdefs.h <<\_ACEOF
    5807 #define F77_FUNC_(name,NAME) name ## __
    5808 _ACEOF
    5809  ;;
    5810   "upper case, no underscore, no extra underscore")
    5811           cat >>confdefs.h <<\_ACEOF
    5812 #define F77_FUNC(name,NAME) NAME
    5813 _ACEOF
    5814 
    5815           cat >>confdefs.h <<\_ACEOF
    5816 #define F77_FUNC_(name,NAME) NAME
    5817 _ACEOF
    5818  ;;
    5819   "upper case, no underscore, extra underscore")
    5820           cat >>confdefs.h <<\_ACEOF
    5821 #define F77_FUNC(name,NAME) NAME
    5822 _ACEOF
    5823 
    5824           cat >>confdefs.h <<\_ACEOF
    5825 #define F77_FUNC_(name,NAME) NAME ## _
    5826 _ACEOF
    5827  ;;
    5828   "upper case, underscore, no extra underscore")
    5829           cat >>confdefs.h <<\_ACEOF
    5830 #define F77_FUNC(name,NAME) NAME ## _
    5831 _ACEOF
    5832 
    5833           cat >>confdefs.h <<\_ACEOF
    5834 #define F77_FUNC_(name,NAME) NAME ## _
    5835 _ACEOF
    5836  ;;
    5837   "upper case, underscore, extra underscore")
    5838           cat >>confdefs.h <<\_ACEOF
    5839 #define F77_FUNC(name,NAME) NAME ## _
    5840 _ACEOF
    5841 
    5842           cat >>confdefs.h <<\_ACEOF
    5843 #define F77_FUNC_(name,NAME) NAME ## __
    5844 _ACEOF
    5845  ;;
    5846   *)
    5847           { echo "$as_me:$LINENO: WARNING: unknown Fortran name-mangling scheme" >&5
    5848 echo "$as_me: WARNING: unknown Fortran name-mangling scheme" >&2;}
    5849           ;;
    5850 esac
    5851 
    5852 ac_ext=f
    5853 ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
    5854 ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
    5855 ac_compiler_gnu=$ac_cv_f77_compiler_gnu
    5856 
     5342orig_FLIBS="$FLIBS"
    58575343
    58585344# If FLIBS has been set by the user, we just restore its value here
     
    58795365  # This is seem to be unnecessary, libifcorert(d).lib has been removed from the link line.
    58805366  # Further, excluding libc.lib from the default libs seemed to be necessary only for VS < 8.
    5881   # Since the corresponding flag seems to make more trouble that it avoid, it has been removed now.
     5367  # Since the corresponding flag seems to make more trouble than it avoids, it has been removed now.
    58825368     *-cygwin* | *-mingw*)
    58835369       case "$F77" in
     
    59085394fi
    59095395
     5396if test "x$orig_FLIBS" != "x$FLIBS" ; then
     5397  { echo "$as_me:$LINENO: Corrected Fortran libraries: $FLIBS" >&5
     5398echo "$as_me: Corrected Fortran libraries: $FLIBS" >&6;}
     5399fi
     5400
     5401ac_ext=f
     5402ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
     5403ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     5404ac_compiler_gnu=$ac_cv_f77_compiler_gnu
     5405
     5406echo "$as_me:$LINENO: checking for dummy main to link with Fortran libraries" >&5
     5407echo $ECHO_N "checking for dummy main to link with Fortran libraries... $ECHO_C" >&6
     5408if test "${ac_cv_f77_dummy_main+set}" = set; then
     5409  echo $ECHO_N "(cached) $ECHO_C" >&6
     5410else
     5411  ac_f77_dm_save_LIBS=$LIBS
     5412 LIBS="$LIBS $FLIBS"
     5413 ac_fortran_dm_var=F77_DUMMY_MAIN
     5414 ac_ext=c
     5415ac_cpp='$CPP $CPPFLAGS'
     5416ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     5417ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     5418ac_compiler_gnu=$ac_cv_c_compiler_gnu
     5419
     5420 # First, try linking without a dummy main:
     5421 cat >conftest.$ac_ext <<_ACEOF
     5422/* confdefs.h.  */
     5423_ACEOF
     5424cat confdefs.h >>conftest.$ac_ext
     5425cat >>conftest.$ac_ext <<_ACEOF
     5426/* end confdefs.h.  */
     5427
     5428#ifdef F77_DUMMY_MAIN
     5429
     5430#  ifdef __cplusplus
     5431     extern "C"
     5432#  endif
     5433   int F77_DUMMY_MAIN() { return 1; }
     5434
     5435#endif
     5436int
     5437main ()
     5438{
     5439
     5440  ;
     5441  return 0;
     5442}
     5443_ACEOF
     5444rm -f conftest.$ac_objext conftest$ac_exeext
     5445if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     5446  (eval $ac_link) 2>conftest.er1
     5447  ac_status=$?
     5448  grep -v '^ *+' conftest.er1 >conftest.err
     5449  rm -f conftest.er1
     5450  cat conftest.err >&5
     5451  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     5452  (exit $ac_status); } &&
     5453         { ac_try='test -z "$ac_c_werror_flag"
     5454                         || test ! -s conftest.err'
     5455  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     5456  (eval $ac_try) 2>&5
     5457  ac_status=$?
     5458  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     5459  (exit $ac_status); }; } &&
     5460         { ac_try='test -s conftest$ac_exeext'
     5461  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     5462  (eval $ac_try) 2>&5
     5463  ac_status=$?
     5464  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     5465  (exit $ac_status); }; }; then
     5466  ac_cv_fortran_dummy_main=none
     5467else
     5468  echo "$as_me: failed program was:" >&5
     5469sed 's/^/| /' conftest.$ac_ext >&5
     5470
     5471ac_cv_fortran_dummy_main=unknown
     5472fi
     5473rm -f conftest.err conftest.$ac_objext \
     5474      conftest$ac_exeext conftest.$ac_ext
     5475
     5476 if test $ac_cv_fortran_dummy_main = unknown; then
     5477   for ac_func in MAIN__ MAIN_ __main MAIN _MAIN __MAIN main_ main__ _main; do
     5478     cat >conftest.$ac_ext <<_ACEOF
     5479/* confdefs.h.  */
     5480_ACEOF
     5481cat confdefs.h >>conftest.$ac_ext
     5482cat >>conftest.$ac_ext <<_ACEOF
     5483/* end confdefs.h.  */
     5484#define $ac_fortran_dm_var $ac_func
     5485#ifdef F77_DUMMY_MAIN
     5486
     5487#  ifdef __cplusplus
     5488     extern "C"
     5489#  endif
     5490   int F77_DUMMY_MAIN() { return 1; }
     5491
     5492#endif
     5493int
     5494main ()
     5495{
     5496
     5497  ;
     5498  return 0;
     5499}
     5500_ACEOF
     5501rm -f conftest.$ac_objext conftest$ac_exeext
     5502if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     5503  (eval $ac_link) 2>conftest.er1
     5504  ac_status=$?
     5505  grep -v '^ *+' conftest.er1 >conftest.err
     5506  rm -f conftest.er1
     5507  cat conftest.err >&5
     5508  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     5509  (exit $ac_status); } &&
     5510         { ac_try='test -z "$ac_c_werror_flag"
     5511                         || test ! -s conftest.err'
     5512  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     5513  (eval $ac_try) 2>&5
     5514  ac_status=$?
     5515  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     5516  (exit $ac_status); }; } &&
     5517         { ac_try='test -s conftest$ac_exeext'
     5518  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     5519  (eval $ac_try) 2>&5
     5520  ac_status=$?
     5521  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     5522  (exit $ac_status); }; }; then
     5523  ac_cv_fortran_dummy_main=$ac_func; break
     5524else
     5525  echo "$as_me: failed program was:" >&5
     5526sed 's/^/| /' conftest.$ac_ext >&5
     5527
     5528fi
     5529rm -f conftest.err conftest.$ac_objext \
     5530      conftest$ac_exeext conftest.$ac_ext
     5531   done
     5532 fi
     5533 ac_ext=f
     5534ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
     5535ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     5536ac_compiler_gnu=$ac_cv_f77_compiler_gnu
     5537 ac_cv_f77_dummy_main=$ac_cv_fortran_dummy_main
     5538 rm -f conftest*
     5539 LIBS=$ac_f77_dm_save_LIBS
     5540
     5541fi
     5542echo "$as_me:$LINENO: result: $ac_cv_f77_dummy_main" >&5
     5543echo "${ECHO_T}$ac_cv_f77_dummy_main" >&6
     5544F77_DUMMY_MAIN=$ac_cv_f77_dummy_main
     5545if test "$F77_DUMMY_MAIN" != unknown; then
     5546  if test $F77_DUMMY_MAIN != none; then
     5547
     5548cat >>confdefs.h <<_ACEOF
     5549#define F77_DUMMY_MAIN $F77_DUMMY_MAIN
     5550_ACEOF
     5551
     5552  if test "x$ac_cv_fc_dummy_main" = "x$ac_cv_f77_dummy_main"; then
     5553
     5554cat >>confdefs.h <<\_ACEOF
     5555#define FC_DUMMY_MAIN_EQ_F77 1
     5556_ACEOF
     5557
     5558  fi
     5559fi
     5560else
     5561  { { echo "$as_me:$LINENO: error: linking to Fortran libraries from C fails
     5562See \`config.log' for more details." >&5
     5563echo "$as_me: error: linking to Fortran libraries from C fails
     5564See \`config.log' for more details." >&2;}
     5565   { (exit 1); exit 1; }; }
     5566fi
     5567
     5568
     5569ac_ext=f
     5570ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
     5571ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     5572ac_compiler_gnu=$ac_cv_f77_compiler_gnu
     5573
     5574ac_ext=f
     5575ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
     5576ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     5577ac_compiler_gnu=$ac_cv_f77_compiler_gnu
     5578echo "$as_me:$LINENO: checking for Fortran name-mangling scheme" >&5
     5579echo $ECHO_N "checking for Fortran name-mangling scheme... $ECHO_C" >&6
     5580if test "${ac_cv_f77_mangling+set}" = set; then
     5581  echo $ECHO_N "(cached) $ECHO_C" >&6
     5582else
     5583  cat >conftest.$ac_ext <<_ACEOF
     5584      subroutine foobar()
     5585      return
     5586      end
     5587      subroutine foo_bar()
     5588      return
     5589      end
     5590_ACEOF
     5591rm -f conftest.$ac_objext
     5592if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
     5593  (eval $ac_compile) 2>conftest.er1
     5594  ac_status=$?
     5595  grep -v '^ *+' conftest.er1 >conftest.err
     5596  rm -f conftest.er1
     5597  cat conftest.err >&5
     5598  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     5599  (exit $ac_status); } &&
     5600         { ac_try='test -z "$ac_f77_werror_flag"
     5601                         || test ! -s conftest.err'
     5602  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     5603  (eval $ac_try) 2>&5
     5604  ac_status=$?
     5605  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     5606  (exit $ac_status); }; } &&
     5607         { ac_try='test -s conftest.$ac_objext'
     5608  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     5609  (eval $ac_try) 2>&5
     5610  ac_status=$?
     5611  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     5612  (exit $ac_status); }; }; then
     5613  mv conftest.$ac_objext cfortran_test.$ac_objext
     5614
     5615  ac_save_LIBS=$LIBS
     5616  LIBS="cfortran_test.$ac_objext $LIBS $FLIBS"
     5617
     5618  ac_ext=c
     5619ac_cpp='$CPP $CPPFLAGS'
     5620ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     5621ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     5622ac_compiler_gnu=$ac_cv_c_compiler_gnu
     5623  ac_success=no
     5624  for ac_foobar in foobar FOOBAR; do
     5625    for ac_underscore in "" "_"; do
     5626      ac_func="$ac_foobar$ac_underscore"
     5627      cat >conftest.$ac_ext <<_ACEOF
     5628/* confdefs.h.  */
     5629_ACEOF
     5630cat confdefs.h >>conftest.$ac_ext
     5631cat >>conftest.$ac_ext <<_ACEOF
     5632/* end confdefs.h.  */
     5633
     5634/* Override any gcc2 internal prototype to avoid an error.  */
     5635#ifdef __cplusplus
     5636extern "C"
     5637#endif
     5638/* We use char because int might match the return type of a gcc2
     5639   builtin and then its argument prototype would still apply.  */
     5640char $ac_func ();
     5641#ifdef F77_DUMMY_MAIN
     5642
     5643#  ifdef __cplusplus
     5644     extern "C"
     5645#  endif
     5646   int F77_DUMMY_MAIN() { return 1; }
     5647
     5648#endif
     5649int
     5650main ()
     5651{
     5652$ac_func ();
     5653  ;
     5654  return 0;
     5655}
     5656_ACEOF
     5657rm -f conftest.$ac_objext conftest$ac_exeext
     5658if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     5659  (eval $ac_link) 2>conftest.er1
     5660  ac_status=$?
     5661  grep -v '^ *+' conftest.er1 >conftest.err
     5662  rm -f conftest.er1
     5663  cat conftest.err >&5
     5664  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     5665  (exit $ac_status); } &&
     5666         { ac_try='test -z "$ac_c_werror_flag"
     5667                         || test ! -s conftest.err'
     5668  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     5669  (eval $ac_try) 2>&5
     5670  ac_status=$?
     5671  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     5672  (exit $ac_status); }; } &&
     5673         { ac_try='test -s conftest$ac_exeext'
     5674  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     5675  (eval $ac_try) 2>&5
     5676  ac_status=$?
     5677  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     5678  (exit $ac_status); }; }; then
     5679  ac_success=yes; break 2
     5680else
     5681  echo "$as_me: failed program was:" >&5
     5682sed 's/^/| /' conftest.$ac_ext >&5
     5683
     5684fi
     5685rm -f conftest.err conftest.$ac_objext \
     5686      conftest$ac_exeext conftest.$ac_ext
     5687    done
     5688  done
     5689  ac_ext=f
     5690ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
     5691ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     5692ac_compiler_gnu=$ac_cv_f77_compiler_gnu
     5693
     5694  if test "$ac_success" = "yes"; then
     5695     case $ac_foobar in
     5696        foobar)
     5697           ac_case=lower
     5698           ac_foo_bar=foo_bar
     5699           ;;
     5700        FOOBAR)
     5701           ac_case=upper
     5702           ac_foo_bar=FOO_BAR
     5703           ;;
     5704     esac
     5705
     5706     ac_ext=c
     5707ac_cpp='$CPP $CPPFLAGS'
     5708ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     5709ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     5710ac_compiler_gnu=$ac_cv_c_compiler_gnu
     5711     ac_success_extra=no
     5712     for ac_extra in "" "_"; do
     5713        ac_func="$ac_foo_bar$ac_underscore$ac_extra"
     5714        cat >conftest.$ac_ext <<_ACEOF
     5715/* confdefs.h.  */
     5716_ACEOF
     5717cat confdefs.h >>conftest.$ac_ext
     5718cat >>conftest.$ac_ext <<_ACEOF
     5719/* end confdefs.h.  */
     5720
     5721/* Override any gcc2 internal prototype to avoid an error.  */
     5722#ifdef __cplusplus
     5723extern "C"
     5724#endif
     5725/* We use char because int might match the return type of a gcc2
     5726   builtin and then its argument prototype would still apply.  */
     5727char $ac_func ();
     5728#ifdef F77_DUMMY_MAIN
     5729
     5730#  ifdef __cplusplus
     5731     extern "C"
     5732#  endif
     5733   int F77_DUMMY_MAIN() { return 1; }
     5734
     5735#endif
     5736int
     5737main ()
     5738{
     5739$ac_func ();
     5740  ;
     5741  return 0;
     5742}
     5743_ACEOF
     5744rm -f conftest.$ac_objext conftest$ac_exeext
     5745if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     5746  (eval $ac_link) 2>conftest.er1
     5747  ac_status=$?
     5748  grep -v '^ *+' conftest.er1 >conftest.err
     5749  rm -f conftest.er1
     5750  cat conftest.err >&5
     5751  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     5752  (exit $ac_status); } &&
     5753         { ac_try='test -z "$ac_c_werror_flag"
     5754                         || test ! -s conftest.err'
     5755  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     5756  (eval $ac_try) 2>&5
     5757  ac_status=$?
     5758  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     5759  (exit $ac_status); }; } &&
     5760         { ac_try='test -s conftest$ac_exeext'
     5761  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     5762  (eval $ac_try) 2>&5
     5763  ac_status=$?
     5764  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     5765  (exit $ac_status); }; }; then
     5766  ac_success_extra=yes; break
     5767else
     5768  echo "$as_me: failed program was:" >&5
     5769sed 's/^/| /' conftest.$ac_ext >&5
     5770
     5771fi
     5772rm -f conftest.err conftest.$ac_objext \
     5773      conftest$ac_exeext conftest.$ac_ext
     5774     done
     5775     ac_ext=f
     5776ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
     5777ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     5778ac_compiler_gnu=$ac_cv_f77_compiler_gnu
     5779
     5780     if test "$ac_success_extra" = "yes"; then
     5781        ac_cv_f77_mangling="$ac_case case"
     5782        if test -z "$ac_underscore"; then
     5783           ac_cv_f77_mangling="$ac_cv_f77_mangling, no underscore"
     5784        else
     5785           ac_cv_f77_mangling="$ac_cv_f77_mangling, underscore"
     5786        fi
     5787        if test -z "$ac_extra"; then
     5788           ac_cv_f77_mangling="$ac_cv_f77_mangling, no extra underscore"
     5789        else
     5790           ac_cv_f77_mangling="$ac_cv_f77_mangling, extra underscore"
     5791        fi
     5792      else
     5793        ac_cv_f77_mangling="unknown"
     5794      fi
     5795  else
     5796     ac_cv_f77_mangling="unknown"
     5797  fi
     5798
     5799  LIBS=$ac_save_LIBS
     5800  rm -f cfortran_test* conftest*
     5801else
     5802  echo "$as_me: failed program was:" >&5
     5803sed 's/^/| /' conftest.$ac_ext >&5
     5804
     5805{ { echo "$as_me:$LINENO: error: cannot compile a simple Fortran program
     5806See \`config.log' for more details." >&5
     5807echo "$as_me: error: cannot compile a simple Fortran program
     5808See \`config.log' for more details." >&2;}
     5809   { (exit 1); exit 1; }; }
     5810fi
     5811rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
     5812
     5813fi
     5814echo "$as_me:$LINENO: result: $ac_cv_f77_mangling" >&5
     5815echo "${ECHO_T}$ac_cv_f77_mangling" >&6
     5816
     5817ac_ext=f
     5818ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
     5819ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     5820ac_compiler_gnu=$ac_cv_f77_compiler_gnu
     5821
     5822
     5823ac_ext=f
     5824ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
     5825ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     5826ac_compiler_gnu=$ac_cv_f77_compiler_gnu
     5827
     5828ac_ext=f
     5829ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
     5830ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     5831ac_compiler_gnu=$ac_cv_f77_compiler_gnu
     5832
     5833
     5834case $ac_cv_f77_mangling in
     5835  "lower case, no underscore, no extra underscore")
     5836          cat >>confdefs.h <<\_ACEOF
     5837#define F77_FUNC(name,NAME) name
     5838_ACEOF
     5839
     5840          cat >>confdefs.h <<\_ACEOF
     5841#define F77_FUNC_(name,NAME) name
     5842_ACEOF
     5843 ;;
     5844  "lower case, no underscore, extra underscore")
     5845          cat >>confdefs.h <<\_ACEOF
     5846#define F77_FUNC(name,NAME) name
     5847_ACEOF
     5848
     5849          cat >>confdefs.h <<\_ACEOF
     5850#define F77_FUNC_(name,NAME) name ## _
     5851_ACEOF
     5852 ;;
     5853  "lower case, underscore, no extra underscore")
     5854          cat >>confdefs.h <<\_ACEOF
     5855#define F77_FUNC(name,NAME) name ## _
     5856_ACEOF
     5857
     5858          cat >>confdefs.h <<\_ACEOF
     5859#define F77_FUNC_(name,NAME) name ## _
     5860_ACEOF
     5861 ;;
     5862  "lower case, underscore, extra underscore")
     5863          cat >>confdefs.h <<\_ACEOF
     5864#define F77_FUNC(name,NAME) name ## _
     5865_ACEOF
     5866
     5867          cat >>confdefs.h <<\_ACEOF
     5868#define F77_FUNC_(name,NAME) name ## __
     5869_ACEOF
     5870 ;;
     5871  "upper case, no underscore, no extra underscore")
     5872          cat >>confdefs.h <<\_ACEOF
     5873#define F77_FUNC(name,NAME) NAME
     5874_ACEOF
     5875
     5876          cat >>confdefs.h <<\_ACEOF
     5877#define F77_FUNC_(name,NAME) NAME
     5878_ACEOF
     5879 ;;
     5880  "upper case, no underscore, extra underscore")
     5881          cat >>confdefs.h <<\_ACEOF
     5882#define F77_FUNC(name,NAME) NAME
     5883_ACEOF
     5884
     5885          cat >>confdefs.h <<\_ACEOF
     5886#define F77_FUNC_(name,NAME) NAME ## _
     5887_ACEOF
     5888 ;;
     5889  "upper case, underscore, no extra underscore")
     5890          cat >>confdefs.h <<\_ACEOF
     5891#define F77_FUNC(name,NAME) NAME ## _
     5892_ACEOF
     5893
     5894          cat >>confdefs.h <<\_ACEOF
     5895#define F77_FUNC_(name,NAME) NAME ## _
     5896_ACEOF
     5897 ;;
     5898  "upper case, underscore, extra underscore")
     5899          cat >>confdefs.h <<\_ACEOF
     5900#define F77_FUNC(name,NAME) NAME ## _
     5901_ACEOF
     5902
     5903          cat >>confdefs.h <<\_ACEOF
     5904#define F77_FUNC_(name,NAME) NAME ## __
     5905_ACEOF
     5906 ;;
     5907  *)
     5908          { echo "$as_me:$LINENO: WARNING: unknown Fortran name-mangling scheme" >&5
     5909echo "$as_me: WARNING: unknown Fortran name-mangling scheme" >&2;}
     5910          ;;
     5911esac
     5912
     5913ac_ext=f
     5914ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
     5915ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     5916ac_compiler_gnu=$ac_cv_f77_compiler_gnu
     5917
    59105918ac_ext=c
    59115919ac_cpp='$CPP $CPPFLAGS'
     
    60186026
    60196027# Provide some information about the compiler.
    6020 echo "$as_me:6020:" \
     6028echo "$as_me:6028:" \
    60216029     "checking for Fortran compiler version" >&5
    60226030ac_compiler=`set X $ac_compile; echo $2`
     
    78847892*-*-irix6*)
    78857893  # Find out which ABI we are using.
    7886   echo '#line 7886 "configure"' > conftest.$ac_ext
     7894  echo '#line 7894 "configure"' > conftest.$ac_ext
    78877895  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    78887896  (eval $ac_compile) 2>&5
     
    98649872   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    98659873   -e 's:$: $lt_compiler_flag:'`
    9866    (eval echo "\"\$as_me:9866: $lt_compile\"" >&5)
     9874   (eval echo "\"\$as_me:9874: $lt_compile\"" >&5)
    98679875   (eval "$lt_compile" 2>conftest.err)
    98689876   ac_status=$?
    98699877   cat conftest.err >&5
    9870    echo "$as_me:9870: \$? = $ac_status" >&5
     9878   echo "$as_me:9878: \$? = $ac_status" >&5
    98719879   if (exit $ac_status) && test -s "$ac_outfile"; then
    98729880     # The compiler can only warn and ignore the option if not recognized
     
    1013210140   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1013310141   -e 's:$: $lt_compiler_flag:'`
    10134    (eval echo "\"\$as_me:10134: $lt_compile\"" >&5)
     10142   (eval echo "\"\$as_me:10142: $lt_compile\"" >&5)
    1013510143   (eval "$lt_compile" 2>conftest.err)
    1013610144   ac_status=$?
    1013710145   cat conftest.err >&5
    10138    echo "$as_me:10138: \$? = $ac_status" >&5
     10146   echo "$as_me:10146: \$? = $ac_status" >&5
    1013910147   if (exit $ac_status) && test -s "$ac_outfile"; then
    1014010148     # The compiler can only warn and ignore the option if not recognized
     
    1023610244   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1023710245   -e 's:$: $lt_compiler_flag:'`
    10238    (eval echo "\"\$as_me:10238: $lt_compile\"" >&5)
     10246   (eval echo "\"\$as_me:10246: $lt_compile\"" >&5)
    1023910247   (eval "$lt_compile" 2>out/conftest.err)
    1024010248   ac_status=$?
    1024110249   cat out/conftest.err >&5
    10242    echo "$as_me:10242: \$? = $ac_status" >&5
     10250   echo "$as_me:10250: \$? = $ac_status" >&5
    1024310251   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1024410252   then
     
    1265312661  lt_status=$lt_dlunknown
    1265412662  cat > conftest.$ac_ext <<EOF
    12655 #line 12655 "configure"
     12663#line 12663 "configure"
    1265612664#include "confdefs.h"
    1265712665
     
    1275312761  lt_status=$lt_dlunknown
    1275412762  cat > conftest.$ac_ext <<EOF
    12755 #line 12755 "configure"
     12763#line 12763 "configure"
    1275612764#include "confdefs.h"
    1275712765
     
    1511315121   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1511415122   -e 's:$: $lt_compiler_flag:'`
    15115    (eval echo "\"\$as_me:15115: $lt_compile\"" >&5)
     15123   (eval echo "\"\$as_me:15123: $lt_compile\"" >&5)
    1511615124   (eval "$lt_compile" 2>conftest.err)
    1511715125   ac_status=$?
    1511815126   cat conftest.err >&5
    15119    echo "$as_me:15119: \$? = $ac_status" >&5
     15127   echo "$as_me:15127: \$? = $ac_status" >&5
    1512015128   if (exit $ac_status) && test -s "$ac_outfile"; then
    1512115129     # The compiler can only warn and ignore the option if not recognized
     
    1521715225   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1521815226   -e 's:$: $lt_compiler_flag:'`
    15219    (eval echo "\"\$as_me:15219: $lt_compile\"" >&5)
     15227   (eval echo "\"\$as_me:15227: $lt_compile\"" >&5)
    1522015228   (eval "$lt_compile" 2>out/conftest.err)
    1522115229   ac_status=$?
    1522215230   cat out/conftest.err >&5
    15223    echo "$as_me:15223: \$? = $ac_status" >&5
     15231   echo "$as_me:15231: \$? = $ac_status" >&5
    1522415232   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1522515233   then
     
    1678716795   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1678816796   -e 's:$: $lt_compiler_flag:'`
    16789    (eval echo "\"\$as_me:16789: $lt_compile\"" >&5)
     16797   (eval echo "\"\$as_me:16797: $lt_compile\"" >&5)
    1679016798   (eval "$lt_compile" 2>conftest.err)
    1679116799   ac_status=$?
    1679216800   cat conftest.err >&5
    16793    echo "$as_me:16793: \$? = $ac_status" >&5
     16801   echo "$as_me:16801: \$? = $ac_status" >&5
    1679416802   if (exit $ac_status) && test -s "$ac_outfile"; then
    1679516803     # The compiler can only warn and ignore the option if not recognized
     
    1689116899   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1689216900   -e 's:$: $lt_compiler_flag:'`
    16893    (eval echo "\"\$as_me:16893: $lt_compile\"" >&5)
     16901   (eval echo "\"\$as_me:16901: $lt_compile\"" >&5)
    1689416902   (eval "$lt_compile" 2>out/conftest.err)
    1689516903   ac_status=$?
    1689616904   cat out/conftest.err >&5
    16897    echo "$as_me:16897: \$? = $ac_status" >&5
     16905   echo "$as_me:16905: \$? = $ac_status" >&5
    1689816906   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1689916907   then
     
    1909819106   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1909919107   -e 's:$: $lt_compiler_flag:'`
    19100    (eval echo "\"\$as_me:19100: $lt_compile\"" >&5)
     19108   (eval echo "\"\$as_me:19108: $lt_compile\"" >&5)
    1910119109   (eval "$lt_compile" 2>conftest.err)
    1910219110   ac_status=$?
    1910319111   cat conftest.err >&5
    19104    echo "$as_me:19104: \$? = $ac_status" >&5
     19112   echo "$as_me:19112: \$? = $ac_status" >&5
    1910519113   if (exit $ac_status) && test -s "$ac_outfile"; then
    1910619114     # The compiler can only warn and ignore the option if not recognized
     
    1936619374   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1936719375   -e 's:$: $lt_compiler_flag:'`
    19368    (eval echo "\"\$as_me:19368: $lt_compile\"" >&5)
     19376   (eval echo "\"\$as_me:19376: $lt_compile\"" >&5)
    1936919377   (eval "$lt_compile" 2>conftest.err)
    1937019378   ac_status=$?
    1937119379   cat conftest.err >&5
    19372    echo "$as_me:19372: \$? = $ac_status" >&5
     19380   echo "$as_me:19380: \$? = $ac_status" >&5
    1937319381   if (exit $ac_status) && test -s "$ac_outfile"; then
    1937419382     # The compiler can only warn and ignore the option if not recognized
     
    1947019478   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1947119479   -e 's:$: $lt_compiler_flag:'`
    19472    (eval echo "\"\$as_me:19472: $lt_compile\"" >&5)
     19480   (eval echo "\"\$as_me:19480: $lt_compile\"" >&5)
    1947319481   (eval "$lt_compile" 2>out/conftest.err)
    1947419482   ac_status=$?
    1947519483   cat out/conftest.err >&5
    19476    echo "$as_me:19476: \$? = $ac_status" >&5
     19484   echo "$as_me:19484: \$? = $ac_status" >&5
    1947719485   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1947819486   then
Note: See TracChangeset for help on using the changeset viewer.